%define         gituser         jessek
%define         gitname         hashdeep
%global         commit          cd2ed7416685a5e83eb10bb659d6e9bec01244ae
%global         shortcommit     %(c=%{commit}; echo ${c:0:7})


Name:           md5deep
Version:        4.4
Release:    1%{?dist}
Summary:        A set of cross-platform tools to compute hashes
License:        GPLv2
URL:            http://md5deep.sf.net/
Source0:        https://github.com/%{gituser}/%{gitname}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Patch0:		md5deep-gcc11.patch


BuildRequires: make
BuildRequires:  gcc-c++
BuildRequires:  gcc
BuildRequires:  autoconf
BuildRequires:  automake

%description
This is md5deep, a set of cross-platform tools to compute hashes, or
message digests, for any number of files while optionally recursively
digging through the directory structure.  It can also take a list of known
hashes and display the filenames of input files whose hashes either do or
do not match any of the known hashes. This version supports MD5, SHA-1,
SHA-256, Tiger, and Whirlpool hashes.

%prep
%setup -q -n %{gitname}-%{commit}
%patch0 -p1
autoreconf -vif

%build
export CFLAGS="-fPIE -pie ${RPM_OPT_FLAGS}"
export CXXFLAGS="-fPIE -pie ${RPM_OPT_FLAGS}"
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%files
%doc README NEWS COPYING ChangeLog AUTHORS TODO
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.4-1
- initial build
